#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int is_prime (unsigned long n)
{
  int i;

  if (n < 2) return 0;
  
  if (n == 2) return 1;
  
  if (n % 2 == 0) return 0;
  
  for (i=3; i<=sqrt((double)n); i+=2)
  {
    if (n % i == 0) return 0;
  }

  return 1;
}


int main (int argc, char*argv[])
{
  unsigned long n;

  if (argc != 2)
  {
    fprintf (stderr, "errore - inserire un numero\n");
    exit (1);
  }

  if (sscanf(argv[1],"%lu",&n) != 1)
  {
    fprintf (stderr, "errore - inserire un numero intero positivo\n");
    exit (2);
  }

  if ( n >= 1000)
  {
    fprintf (stderr, "errore - inserire un numero intero minore di 1000\n");
    exit (3);
  }

  if ( is_prime(n) )
    printf("%lu e' un numero primo\n", n);
  else
    printf("%lu non e' un numero primo\n", n);

  return 0;
}

