#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int esame_superato (int vteoria, int vprog)
{
  int voto;

  /* dati non validi? */

  if ((vteoria < 0) || ( vteoria > 30) || (vprog < 0) || (vprog > 30))
    return -1;

  /* respinto? */
  
  voto = ceil( (vteoria+vprog) / 2.0);
  if ((vteoria < 15) || (vprog < 15) || (voto < 18))
    return 0;

  /* promosso! */

  return voto;
}


int main (int argc, char*argv[])
{
  int votoT ,votoP, voto;

  if (argc != 3)
  {
    fprintf (stderr, "errore - inserire i due voti\n");
    exit (1);
  }

  if (sscanf(argv[1],"%d",&votoT) != 1)
  {
    fprintf (stderr, "errore - '%s' non e' un numero intero\n", argv[1]);
    exit (2);
  }

  if (sscanf(argv[2],"%d",&votoP) != 1)
  {
    fprintf (stderr, "errore - '%s' non e' un numero intero\n", argv[2]);
    exit (3);
  }

  voto = esame_superato (votoT, votoP);

  switch (voto)
  {
  case -1:
    printf ("errore - dati non validi.\n");
    break;
  case 0:
    printf ("Mi spiace, esame non superato.\n");
    break;
  default:
    printf ("Complimenti, hai superato l'esame col voto %d/30!\n", voto);
  }

  return 0;
}
