#include <stdio.h>
#include <stdlib.h>

#define MAXBC 127

int main (int argc, char*argv[])
{
  FILE *afh;
  FILE *bfh;
  unsigned codice;
  float prezzo, sconto;
  char buf [MAXBC+1];

  if (argc != 4)
  {
    fprintf (stderr,"errore - uso %s file_lettura sconto file_scrittura\n", argv[0]);
    exit (1);
  }

  afh = fopen (argv[1], "r");
  if (afh == NULL)
  {
    fprintf (stderr, "errore: impossibile aprire in lettura il file '%s'\n", argv[1]);
    exit(2);
  }

  bfh = fopen (argv[3], "w");
  if (bfh == NULL)
  {
    fprintf (stderr, "errore: impossibile aprire in lettura il file %s\n", argv[3]);
    exit(3);
  }

  if (sscanf(argv[2],"%f",&sconto) != 1)
  {
    fprintf (stderr, "errore: %s - sconto non valido\n", argv[2]);
    exit(4);
  }

  if ((sconto < 0) || (sconto >= 100))
  {
    fprintf (stderr, "errore: %s - sconto non valido\n", argv[2]);
    exit(5);
  }

  while (fgets(buf,128,afh) != NULL)
  {
    if (sscanf(buf,"%u%f",&codice,&prezzo) != 2)
    {
      fprintf (stderr, "errore: %s - riga errata nel file dei prodotti\n", buf);
      exit(6);
    }
    prezzo *= (1 - (sconto/100));
    fprintf (bfh, "%u %.2f\n", codice, prezzo);
  }

  if (fclose(afh) != 0)
    fprintf (stderr, "avviso: chiusura '%s' (file lettura) non riuscita\n", argv[1]);

  if (fclose(bfh) != 0)
  {
    fprintf (stderr, "errore: chiusura '%s' (file scrittura) non riuscita\n", argv[3]);
    fprintf (stderr, " la generazione del file potrebbe essere fallita\n");
  }

  return 0;
}
